package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TStatue;
import com.chinaitop.depot.intelligent.basicdata.model.TStatueExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStatueMapper {
    int countByExample(TStatueExample example);

    int deleteByExample(TStatueExample example);

    int insert(TStatue record);

    int insertSelective(TStatue record);

    List<TStatue> selectByExample(TStatueExample example);

    int updateByExampleSelective(@Param("record") TStatue record, @Param("example") TStatueExample example);

    int updateByExample(@Param("record") TStatue record, @Param("example") TStatueExample example);
}